Skip to main content
General

List templates

<small>Requires an API token with the Template Reader role.</small>

GET
/templates

Lists the templates available in your account.

Filtering

The template list can be filtered by a number of different attributes. The available filter attributes are listed in the Query Parameters section of this page, under filter.

To specify filters, use array notation in the request query string to specify one or more filter values.

For example, to filter for archived templates with a name that contains the string "Arbeitsvertrag", the query string should contain: filter[archived]=true&filter[query]=Arbeitsvertrag

Sorting

To specify the order that templates should be returned in, use the sort_by and sort_direction query string parameters.

For example, to sort by the name attribute in ascending order, the query string should contain: sort_by=name&sort_direction=asc

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

sort_byenum<string> | nullquery

Name of the field to sort the response by. Default is updated_at

Available options: name, created_at, updated_at, archived_at
sort_directionenum<string> | nullquery

Default is desc

Available options: asc, desc
filter[archived]enum<string>query
Available options: true, false
filter[query]stringquery

query will be matched against the Template's name

Maximum string length: 255
filter[locale]stringquery
Pattern: ^[a-z]{2}(?:-[A-Z]{2})?$
Example: de-AT
filter[teams]stringquery

Comma-separated list of one or more team UUIDs to match. Matches templates that belong to any of the given teams.

Example: 322cecc9-44fe-4f10-b27d-77768abfeba2
filter[team_unassigned]enum<string>query

Finds templates that not assigned to any team. May be combined with the teams filter to find templates that are in the given teams or are unassigned.

Available options: true
filter[tags]stringquery

Comma-separated list of one or more tag UUIDs to match. The default behavior is to match templates that have any of the given tags.

Example: 58ac52bb-8885-4580-88c1-7a7bc772c87d,3213a2cd-7d86-4881-a7c3-53fca9593d6a
filter[tag_and]enum<string>query

Changes tags behavior to only match templates that have all of the given tags.

Available options: true
filter[excluded_tags]stringquery

Comma-separated list of one or more tag UUIDs to exclude. Templates with any of these tags will be excluded from the result.

Example: ed8d2db3-0321-4d0d-bae9-31e43a95e6b8
filter[status]enum<string>query
Available options: draft, published
pageinteger | nullquery
Required range: 1 <= x
per_pageinteger | nullquery
Required range: 1 <= x <= 100

Response

application/json

Paginated set of TemplateMinimalResource

dataobject[]required
metaobjectrequired